[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.CustomDraw

CustomDraw - returns True if Custom Drawing is proceeding in the specified Rectangle

## Declaration

Source position: comctrls.pp line 2325

`protected function TCustomTreeView.CustomDraw(`
`const ARect: TRect;`
`Stage: TCustomDrawStage`
`):Boolean; virtual;`

## Description

CustomDraw - returns True if Custom Drawing is proceeding in the specified Rectangle

Stage indicates whether PrePaint, PostPaint, PreErase or PostErase

## See also

Progress |  | Monitoring the progress of drawing a complicated Graphic

The latest version of this document can be found at lazarus-ccr.sourceforge.net.